BANK KALTENG - Feature #2885

Attendance With Photo
07/16/2024 05:54 PM - shofwan shiddiq

Status: Closed

Priority: Normal
Assignee: shofwan shiddiq
Category:

Target version:

Start date:
Due date:

% Done:

Estimated time:

Spent time:

07/16/2024

0%
0.00 hour
5.00 hours

Description
Package Attendance With Photo ( Sudah di deploy di EASY )

APK
1. Download APK Version 1.30 Keatas

UPDATE API
API: Minovals.Mobile.API

Controller > WorkflowController = [Route("api/wf/submitAttendanceNew")]
Contract > EndpointContract = public class AttendanceNewRequest, public class AttendanceNewResponse

UPDATE DATABASE
1. Pastikan PHRPA0019 memiliki kolom AuditorFlag
2. Create Table PHRPA0068

3. Stored Procedure = Mobile_GetValidasiBeforeSubmit, Mobile InsertAttendanceClockin, Mobile_InsertAttendanceClockOut

NOTES

1. Validasi Clock In Clock Out ada di SP Mobile _GetValidasiBeforeSubmit

2. Data Absen masuk ke PHRPA0019

3. Foto Absen masuk ke PHRPAO0068 dengan id = AuditorFlag.PHRPA0019

History

#1 - 07/17/2024 11:06 AM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 07/17/2024 01:34 PM - shofwan shiddiq

- File clipboard-202407171334-pupcn.png added

Report

Menu

HR > Time Management > Time Report > Absence Photo
SP: PRPTTMABSENCEPHOTO

RDL: PRPTTMABSENCEPHOTO

MenulD: PRPTTMABSENCEPHOTO
ReportID: PRPTTMABSENCEPHOTO
Jormal 12:95 Banten, Indonesia, ID, Cisauk, Tangerang Regency,

Sampora, 15345
#3 - 07/17/2024 01:34 PM - shofwan shiddiq

- Status changed from Assigned to Closed

#4 - 01/17/2025 11:16 AM - shofwan shiddiq
- Project changed from MinovaEasy to BANK KALTENG

- Assignee changed from shofwan shiddiq to hans hans

Bank Kalteng sudah di tambahkan fitur attendance photo di mobile, tolong di deploy package report ini ya
Sumber = MinovaEasy
Server: 103.153.60.89
Database: MinovaES_Easy
Ul :https://easy.minovais.com/Account/Login
Tolong di deploy ke Bank Kalteng Dev
e Menu nya juga belum ada jadi tolong di buatkan juga menu nya
Sever: remote.minovais.com, 1442

Database: MinovaES_Bank_Kalteng_Dev
Ul: http://remote.minovais.com:31130/Account/Login

Package

SP: PRPTTMABSENCEPHOTO

RDL: PRPTTMABSENCEPHOTO
MenulD: PRPTTMABSENCEPHOTO
ReportID: PRPTTMABSENCEPHOTO

#5 - 01/17/2025 11:22 AM - shofwan shiddiq
- Status changed from Closed to Deploy

#6 - 01/17/2025 05:16 PM - hans hans
- File clipboard-202501171715-020ek.png added
- Status changed from Deploy to Closed

- Assignee changed from hans hans to shofwan shiddiq
Sever: remote.minovais.com, 1442
Database: MinovaES_Bank_Kalteng_Dev
Ul: http://remote.minovais.com:31130/Account/Login

Update:

- MenulD: CTMRPTABSPHTO

- SP: PRPTTMABSENCEPHOTO
- RDL: PRPTTMABSENCEPHOTO

Files

Package Attendance With Photo.zip 5.55 KB 07/16/2024 shofwan shiddiq
clipboard-202407171334-pupcn.png 218 KB 07/17/2024 shofwan shiddiq
clipboard-202501171715-020€ek.png 88.8 KB 01/17/2025 hans hans

07/03/2025 3/3


http://remote.minovais.com:31130/Account/Login
http://www.tcpdf.org

